求助:画spline线条出错。
程序代码如下:void CreateSpline()<BR>{<BR> AcGePoint3d point(0,0,0);<BR> AcGePoint3dArray asd;<BR> AcDbObjectId splineId;<BR> AcDbBlockTableRecord *pBlockTableRecord;<BR> AcDbBlockTable *pBlockTable;<BR> <BR> asd.append(point);<BR> point.set(10,10,0);<BR> asd.append(point);<BR> point.set(20,-2,0);<BR> asd.append(point);<BR> point.set(30,5,0);<BR> asd.append(point);<BR> <BR> AcDbSpline *pSpline=new AcDbSpline(asd,4,0.0);<BR> Adesk::Boolean x=pSpline->isNull();<BR> acdbHostApplicationServices()->workingDatabase()->getSymbolTable(pBlockTable,AcDb::kForWrite);<BR> pBlockTable->getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);<BR> Acad::ErrorStatus test=pBlockTableRecord->appendAcDbEntity(splineId,pSpline);<BR> pBlockTable->close();<BR> pBlockTableRecord->close();<BR> pSpline->close();<BR> delete pSpline;<BR>}
运行出现如下错误
页:
[1]